WrapperServiceManager (Avalon Framework 4.1.5 API)
Keywords: org.apache.avalon.framework.service.WrapperServiceManager class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.avalon.framework.service
Class WrapperServiceManager

    java.lang.Object
      org.apache.avalon.framework.service.WrapperServiceManager

All Implemented Interfaces:
  ServiceManager

public class WrapperServiceManager
extends Object
implements ServiceManager

This is a `ServiceManager` implementation that can wrap around a legacy `ComponentManager` object effectively adapting a `ComponentManager` interface to a `ServiceManager` interface.

Since:
  4.1.4
Version:
  CVS $Revision: 1.8 $ $Date: 2003/03/12 12:08:46 $
Author:
  Avalon Development Team

Constructor Summary
`WrapperServiceManager(ComponentManager componentManager)` This constructor is a constructor for a WrapperServiceManager.

Method Summary
`boolean` | `hasService(String key)` Return true if the component is available in ServiceManager.
`Object` | `lookup(String key)` Retrieve a service using specified key.
`void` | `release(Object service)` Release the service back to the ServiceManager.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WrapperServiceManager

    public WrapperServiceManager(ComponentManager componentManager)

  This constructor is a constructor for a WrapperServiceManager.

Parameters:
  `componentManager` - the ComponentManager instance that is being wrapped

Method Detail

### lookup

    public Object lookup(String key)
                  throws ServiceException

  Retrieve a service using specified key.

  Specified by:
    `lookup` in interface `ServiceManager`
  Parameters:
    `key` - the key to use to lookup component
  Returns:
    the matching service
  Throws:
    `ServiceException` - if unable to provide the service
  See Also:
    `ServiceManager.lookup(java.lang.String)`

### hasService

    public boolean hasService(String key)

  Return true if the component is available in ServiceManager.

  Specified by:
    `hasService` in interface `ServiceManager`
  Parameters:
    `key` - the lookup
  Returns:
    true if the component is available in ServiceManager

### release

    public void release(Object service)

  Release the service back to the ServiceManager.

  Specified by:
    `release` in interface `ServiceManager`
  Parameters:
    `service` - the service

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Apache Software Foundation. All Rights Reserved.